<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.miniapp.UserRechargeRightsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.miniapp.UserRechargeRights">
        <result column="rights_id" property="rightsId" />
        <result column="activity_id" property="activityId" />
        <result column="user_id" property="userId" />
        <result column="start_time" property="startTime" />
        <result column="end_time" property="endTime" />
        <result column="rights_balance" property="rightsBalance" />
        <result column="frozen_balance" property="frozenBalance" />
        <result column="discount" property="discount" />
        <result column="allow_stacke" property="allowStacke" />
        <result column="discount_amount" property="discountAmount" />
        <result column="times" property="times" />
        <result column="status" property="status" />
        <result column="remark" property="remark" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        rights_id, activity_id, user_id, start_time, end_time, rights_balance, frozen_balance, discount, allow_stacke, discount_amount, times, status, remark
    </sql>

</mapper>
